#!/bin/bash

echo
for file in */first_scf/scf.out; do 
    echo $file 
    grep highest $file | awk '{print $8-$7}'
done

echo
for file in */hse_dojo/scf.out; do 
    echo $file 
    grep highest $file | awk '{print $8-$7}' 
done

echo
for file in */scf_posthp1/dftu.out; do 
    echo $file 
    grep highest $file | awk '{print $8-$7}'
done

echo
for file in */scf_posthp1_soc/dftu.out; do 
    echo $file 
    grep highest $file | awk '{print $8-$7}'
done

echo
for file in */hse_dojo/hse.out; do 
    echo $file 
    grep "EXX: q-point mesh" $file
    grep highest $file | awk '{print $8-$7}'
    grep "EXX self-consistency reached" $file
done
